Get subscription usage
curl --request GET \
--url https://api.replicas.dev/v1/agents/subscription-usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/agents/subscription-usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/agents/subscription-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"provider": "claude",
"scope": "user",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhausted_until": "2023-11-07T05:31:56Z",
"windows": [
{
"kind": "session",
"model": "<string>",
"used_percent": 123,
"resets_at": "2023-11-07T05:31:56Z"
}
],
"reconnect_required": true,
"email": "<string>",
"plan_type": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Agent credentials
Get subscription usage
Reads live from Anthropic and OpenAI how much of each connected Claude and ChatGPT subscription’s 5-hour and weekly limits is used. Muse Code and OpenCode Go do not report usage. Without scope, returns your personal subscriptions followed by the organization’s, each in the order workspaces use them.
GET
/
v1
/
agents
/
subscription-usage
Get subscription usage
Authorizations
Organization or personal API key from Settings → API Keys.
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Query Parameters
Only user (needs a personal API key) or only org subscriptions.
Available options:
user, org Response
Success
Show child attributes
Show child attributes
⌘I